'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _jestMatchers = require('jest-matchers');

var _jestMatchers2 = _interopRequireDefault(_jestMatchers);

var _CPPopover = require('./CPPopover');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('CPPopover Tests', function () {
    var defaultProps = {
        text: 'Here is some text',
        isOpen: true
    };

    it('Expects isOpen to be and set timeout to close it to be called', function () {
        jest.useFakeTimers();
        var props = Object.assign({}, defaultProps, {
            buttonFormat: 'copy_link'
        });
        var wrapper = (0, _enzyme.mount)(_react2.default.createElement(_CPPopover.CPPopover, defaultProps));

        (0, _jestMatchers2.default)(wrapper.state('isOpen')).toBe(true);
        (0, _jestMatchers2.default)(wrapper.find('.hidden').length).toBe(0);
        (0, _jestMatchers2.default)(setTimeout).toHaveBeenCalledTimes(1);
    });
});