'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.FileUpload = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FileUpload = exports.FileUpload = function (_Component) {
	_inherits(FileUpload, _Component);

	function FileUpload() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, FileUpload);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FileUpload.__proto__ || Object.getPrototypeOf(FileUpload)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {
			return _react2.default.createElement(
				'label',
				{ htmlFor: _this.props.id, className: 'cp-Btn cp-Btn--file' },
				_react2.default.createElement('input', { id: _this.props.id, type: 'file', onChange: function onChange(event) {
						return _this.props.onChange(event);
					} }),
				_react2.default.createElement('span', { className: 'cp-Btn--file-custom', 'data-placeholder': _this.props.label })
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return FileUpload;
}(_react.Component);

FileUpload.propTypes = {
	id: _propTypes2.default.string,
	label: _propTypes2.default.string,
	onChange: _propTypes2.default.func
};
FileUpload.defaultProps = {
	id: "fileUpload" + Math.floor(Math.random() * 4000),
	label: "Choose File..."
};
exports.default = FileUpload;